import {createApp} from 'vue'
import App from '@/App.vue'
import '@/reset.css'
import './index.css'

// iconfont css
import "@/assets/iconfont/iconfont.css";
// 公共样式
import '@/assets/scss/common.scss'
import '@/assets/scss/myAntD.scss'
// vue Router
import router from "@/router";
// pinia stores
import pinia from "@/stores";
import {initEnums} from "@/config/dict.ts";

initEnums()
const vueApp = createApp(App);


vueApp
    .use(router)
    .use(pinia)
    .mount('#app')
